Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn More

View all

Sign in to view all badges

"Handlebars.compile is not a function" reported after upgrading from AEM 6.5.2 to AEM 6.5.6

Avatar

Avatar
Validate 1
Level 2
RobertBailey1
Level 2

Likes

4 likes

Total Posts

19 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Boost 3
Boost 1
Affirm 1
View profile

Avatar
Validate 1
Level 2
RobertBailey1
Level 2

Likes

4 likes

Total Posts

19 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Boost 3
Boost 1
Affirm 1
View profile
RobertBailey1
Level 2

29-10-2020

Hi All,

I have recently upgraded from AEM 6.5 SP 2 to AEM 6.5 SP 6.

Since upgrading , the Select Font button on Rich Text Content Fragment editor has stopped working , and I am seeing error "Handlebars.compile is not a function" in console output.

Please can you advise if you know how to resolve this?

Thank you for your time.

Accepted Solutions (1)

Accepted Solutions (1)

Avatar

Avatar
Establish
MVP
BrianKasingli
MVP

Likes

613 likes

Total Posts

590 posts

Correct Reply

231 solutions
Top badges earned
Establish
Ignite 1
Give Back 5
Give Back 3
Give Back 10
View profile

Avatar
Establish
MVP
BrianKasingli
MVP

Likes

613 likes

Total Posts

590 posts

Correct Reply

231 solutions
Top badges earned
Establish
Ignite 1
Give Back 5
Give Back 3
Give Back 10
View profile
BrianKasingli
MVP

13-11-2020

@RobertBailey1,

It looks like AEM 6.5 SP 6 may have updated the handlebars version within /libs/clientlibs/social/thirdparty/handlebars. What you need to do is find out which version AEM 6.5 SP 2 uses, and Override the client library for the correct version. The clientlib.category should be cq.handlebars.

Answers (0)